:: ----------------------------------------------------------------------
:: Nom du script:		Make Virtual Host and Edit Hosts Auto (MVHAEHA)
:: Version du script: 	1.0.0
:: ----------------------------------------------------------------------
:: Auteur: 				Daniel Chalsche (alias Dakin Quelia)
:: Contact: 			http://www.danielchalseche.fr.cr/
:: ----------------------------------------------------------------------
@echo off

:: Nom du programme
title Edit Hosts v1.0.0

:: Dfinir le chemin du fichier Host
set file=%systemroot%\system32\drivers\etc\hosts

:: On affiche un message.
echo Bienvenue dans MVHAEHA v1.0.0

:: Un espace blanc.
echo.

:: On rcupre le domaine virtuel
set /p hostName=Veuillez indiquer l'hte virtuel (Exemple: monsite.dev) : 

:: Un espace blanc.
echo.

:: On fait une petite pause.
pause

:: Un espace blanc.
echo.

:: On rcupre le nom du dossier du projet
set /p dirProject=Veuillez indiquer le nom du rpertoire du projet dans www (Exemple: monsite) : 

:: On ajoute la ligne dans le fichier.
set addHost=127.0.0.1       %hostName%

:: On enlve l'attribut "lecture seule" et l'attribut "cach".
attrib -r -h %file%

:: On ajoute l'hte virtuel.
echo %addHost% >> %file%

:: On remet l'attribut "lecture seule" et l'attribut "cach".
attrib +r +h %file%

:: On cre le fichier Apache adquat s'il n'existe pas. Sinon un message d'erreur s'affiche.
if exist "C:\wamp\alias\%hostName%.conf" (goto donotcreate) else (goto createFile)

:createFile

(
	echo #####
	echo ## %hostName%
	echo ## DOMAINE de %hostName%  
	echo #####   
	echo NameVirtualHost %hostName%  
	echo.
	echo ^<VirtualHost %hostName%^>
	echo.	DocumentRoot C:/wamp/www/%dirProject%/ 
	echo.	ServerName %hostName%
	echo ^</VirtualHost^>
) > C:\wamp\alias\%hostName%.conf
	
echo.
echo Le fichier  Alias  a t cr.
goto continue

:donotcreate

echo.
echo Ce fichier existe dj. Il n'est donc pas ncessaire de le recrer. 
goto continue

:continue

:: Espace blanc
echo.

:: Message prvenant la cration.
echo Le fichier  hosts  de Windows a t mis  jour.

:: Espace blanc
echo.

:: Pause avant de quitter.
pause

:: Espace blanc
echo.